Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037932
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2018-02-15 13:102018-03-06 15:44
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisiona477b160f8d7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037932: "Funds Transfer" process should have same behavior than manual creation of transactions

DescriptionBefore "Funds Transfer" process exists, recommended procedure to register this flow was: http://wiki.openbravo.com/wiki/How_to_Transfer_Funds_Between_Financial_Accounts [^]

User with this specific configuration should be able to run automatic "Funds Transfer" process and obtain same result
Steps To Reproduce1. Create Role with User Level= Organization.
2. Access to "Org Access" tab and delete all records EXCEPT F&B España - Región Norte
3. Access to "User assignment" and create record for Openbravo
4. Log out and log in again setting this new role
5. Access Financial Account window, select "Caja" and run "Funds Transfer" process. Fill the fields with any value and press "Done"
6. Organization access error will be received:
Organization B843C30461EA4501935CB1D125C9C25A of object (FIN_Finacc_Transaction(B6C7AB9A58B34CFA9E3D788A1E0BF841) (account: C2AA9C0AFB434FD4B827BE58DC52C1E2, paymentAmount: 100, lineNo: 10)) is not present in OrganizationList [E443A31992CB4635AFCAEABE7183CE85]

However, user is able to manually create "BP Withdrawal" transaction in "Caja" financial account and "BP Deposit" transaction in "Cuenta de Banco" financial account so automatic process should behave in the same way
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102980)
AtulOpenbravo (developer)
2018-03-05 15:23

Test Plan
- Login as F&B International Group Admin
- Create Role with User Level= Organization.
- Navigate to "Org Access" tab and delete all records except "F&B España - Región Norte" Organization.
- Navigate to to "User assignment" tab and create record for Openbravo
- Log out and log in again setting this new role
- Navigate to Financial Account window, select "Caja" and run "Funds Transfer" process. Fill the fields with any value and press "Done".
- Realize that Funds transfer process is completed successfully. Organization "F&B España - Región Norte" is used in transaction.
(0102981)
AtulOpenbravo (developer)
2018-03-05 15:30

When adding manual transaction in Financial Account, default value for organization field is picked from parent tab i.e Financial Account, whenever user does not have access to organization of Financial Account record, default value for the organization is not the financial account's organization.

Hence we do check whether the user has write access to financial account organization before using it in a transaction else we use context organization in funds transfer transaction.
(0103012)
hgbot (developer)
2018-03-06 09:07

Repository: erp/devel/pi
Changeset: a477b160f8d7f7614a75218c3d9b5d722bb94ddb
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Mar 02 14:03:45 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a477b160f8d7f7614a75218c3d9b5d722bb94ddb [^]

Fixes Issue 37932: "Funds Transfer" process should have same behavior
than manual creation of transactions

When we create manual transaction default value of the organization
is the financial account's organization. Funds Transfer Handler
implements same logic to pick organization from financial account
without doing a check whether current role has write access to the
organization being used for the transaction.

A writable check is done before using financial account organization
in the transaction. If not current organization from the OBContext
is used.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/FundsTransferActionHandler.java
---
(0103013)
hgbot (developer)
2018-03-06 09:07

Repository: erp/devel/pi
Changeset: ce890b7032d43348cddfc23ebfa67fa3748bdf61
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Mar 06 09:07:37 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ce890b7032d43348cddfc23ebfa67fa3748bdf61 [^]

Related to Issue 37932. Code Review changes.

Added comment to explain the situation

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/FundsTransferActionHandler.java
---
(0103015)
dmiguelez (developer)
2018-03-06 09:09

Code Review + Testing Ok
(0103029)
hudsonbot (developer)
2018-03-06 15:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d78a1c4c6616 [^]
Maturity status: Test
(0103030)
hudsonbot (developer)
2018-03-06 15:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d78a1c4c6616 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-15 13:10 maite New Issue
2018-02-15 13:10 maite Assigned To => Triage Finance
2018-02-15 13:10 maite Modules => Advanced Payables and Receivables Mngmt
2018-02-15 13:10 maite Triggers an Emergency Pack => No
2018-02-15 13:10 maite Issue Monitored: networkb
2018-02-15 17:27 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-02-28 19:09 AtulOpenbravo Status new => scheduled
2018-03-05 15:23 AtulOpenbravo Note Added: 0102980
2018-03-05 15:30 AtulOpenbravo Note Added: 0102981
2018-03-06 09:07 hgbot Checkin
2018-03-06 09:07 hgbot Note Added: 0103012
2018-03-06 09:07 hgbot Status scheduled => resolved
2018-03-06 09:07 hgbot Resolution open => fixed
2018-03-06 09:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a477b160f8d7f7614a75218c3d9b5d722bb94ddb [^]
2018-03-06 09:07 hgbot Checkin
2018-03-06 09:07 hgbot Note Added: 0103013
2018-03-06 09:09 dmiguelez Review Assigned To => dmiguelez
2018-03-06 09:09 dmiguelez Note Added: 0103015
2018-03-06 09:09 dmiguelez Status resolved => closed
2018-03-06 09:09 dmiguelez Fixed in Version => 3.0PR18Q2
2018-03-06 15:44 hudsonbot Checkin
2018-03-06 15:44 hudsonbot Note Added: 0103029
2018-03-06 15:44 hudsonbot Checkin
2018-03-06 15:44 hudsonbot Note Added: 0103030


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker